> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# Data Link Table Instances

Each pair of Data Link Table and [Connection](/docs/how-membrane-works/connections) will have a separate Data Link Table Instance.

You can find all the Data Link Table Instances on the [Instances](https://console.integration.app/w/0/deployments/data-link-table-instances) page.

Whenever you create a link from one record to another, it is recorded in a corresponding Data Link Table Instance.

## Viewing and Managing Data Links

Individual data link records within a Data Link Table Instance can be accessed and managed programmatically using the Membrane API:

* `GET /data-links` — retrieve data links for a specific Data Link Table Instance.
* `DELETE /data-links/{dataLinkId}` — delete individual data link records.

For more information, see the [Data Links API reference](/api-reference/datalinktables/get-data-links-for-a-data-link-table-instance).

## Data Links

A Data Link is a record within a Data Link Table Instance that has:

* `externalRecordId` – id of a record on the external app's side.
* `appRecordId` – id of a record on your app's side.
* `direction` – one of:
  * `export` – link from your app to an external app.
  * `import` – link from external app to your app.

### Creating Data Link

A Data Link is created with the following data:

* `dataLinkTableInstanceId` – id of Data Link Table Instance associated with the record
* `externalRecordId`
* `appRecordId`
* `direction` – `export`, `import`, or `both`. If direction `both` is selected, then both `export` and `import` links will be created.

> Only one link with the same `externalRecordId`, `appRecordId`, and `direction` can exist within a single Data Link Table Instance. If another one is created, it will overwrite the previously existing one.

### Finding Data Link

When finding a data link with a Flow Node or a Formula, you need to provide:

* `dataLinkTableInstanceId`
* `direction`
* `recordId`

Find External Record Id and Find App Record Id formulas provide `direction` automatically.
